Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class LoadingScreenRenderer

    java.lang.Object
      net.minecraft.src.LoadingScreenRenderer

All Implemented Interfaces:
  IProgressUpdate

    public class LoadingScreenRenderer

extends Object
implements IProgressUpdate

Constructor Summary
`LoadingScreenRenderer(Minecraft par1Minecraft)`

Method Summary
`void` | `displayProgressMessage(String par1Str)` "Saving level", or the loading,or downloading equivelent
`void` | `func_73722_d(String par1Str)`
`void` | `onNoMoreProgress()` called when there is no more progress to be had, both on completion and failure
`void` | `resetProgresAndWorkingMessage(String par1Str)` This is called with "Working..." by resetProgressAndMessage
`void` | `resetProgressAndMessage(String par1Str)` this string, followed by "working..." and then the "% complete" are the 3 lines shown.
`void` | `setLoadingProgress(int par1)` Updates the progress bar on the loading screen to the specified amount.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoadingScreenRenderer

    public LoadingScreenRenderer(Minecraft par1Minecraft)

Method Detail

### resetProgressAndMessage

    public void resetProgressAndMessage(String par1Str)

  this string, followed by "working..." and then the "% complete" are the 3 lines shown. This resets progress to 0, and the WorkingString to "working...".

  Specified by:
    `resetProgressAndMessage` in interface `IProgressUpdate`

### displayProgressMessage

    public void displayProgressMessage(String par1Str)

  "Saving level", or the loading,or downloading equivelent

  Specified by:
    `displayProgressMessage` in interface `IProgressUpdate`

### func_73722_d

    public void func_73722_d(String par1Str)

### resetProgresAndWorkingMessage

    public void resetProgresAndWorkingMessage(String par1Str)

  This is called with "Working..." by resetProgressAndMessage

  Specified by:
    `resetProgresAndWorkingMessage` in interface `IProgressUpdate`

### setLoadingProgress

    public void setLoadingProgress(int par1)

  Updates the progress bar on the loading screen to the specified amount. Args: loadProgress

  Specified by:
    `setLoadingProgress` in interface `IProgressUpdate`

### onNoMoreProgress

    public void onNoMoreProgress()

  called when there is no more progress to be had, both on completion and failure

  Specified by:
    `onNoMoreProgress` in interface `IProgressUpdate`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD